// see http://vuejs-templates.github.io/webpack for documentation.
var path = require('path')

module.exports = {
  build: {
    env: require('./prod.env'),
    index: path.resolve(__dirname, '../dist/index.html'),
    assetsRoot: path.resolve(__dirname, '../dist'),
    assetsSubDirectory: 'databoard',
    assetsPublicPath: '/assets/',
    productionSourceMap: true,
    // Gzip off by default as many popular static hosts such as
    // Surge or Netlify already gzip all static assets for you.
    // Before setting to `true`, make sure to:
    // npm install --save-dev compression-webpack-plugin
    productionGzip: false,
    productionGzipExtensions: ['js', 'css'],
    // Run the build command with an extra argument to
    // View the bundle analyzer report after build finishes:
    // `npm run build --report`
    // Set to `true` or `false` to always turn it on or off
    bundleAnalyzerReport: process.env.npm_config_report
  },
  dev: {
    env: require('./dev.env'),
    port: 8081,
    autoOpenBrowser: true,
    assetsSubDirectory: 'static',
    assetsPublicPath: '/',
    proxyTable: {
      '/api': {
        target: 'http://127.0.0.1:4523/m1/3446320-0-default', // 测试
        changeOrigin: true, // 改变源（是否跨域）
        pathRewrite: {
          '^/api': '/'
        }
      },
      '/m1/3446320-0-default/api': {
        target: 'http://127.0.0.1:4523', // 测试
        changeOrigin: true, // 改变源（是否跨域）
        pathRewrite: {
          '^/api': '/'
        }
      }
    },
    cssSourceMap: false,
  }
}
